#define GEBS_NO_PREFIX
#define GEBS_IMPLEMENTATION
#include "../gebs.h"

typedef struct {
    int *items;
    size_t count, capacity;
} Ints;

int main(void)
{
    Arena arena = gebs_arena_get();
    defer { arena_destroy(&arena); }

    Ints ints = {0};
    for (size_t i = 0; i < 10000; i++) {
        list_append_alloc(&arena, &ints, i);
    }
    gebs_arena_reset(&arena);

    printf("%s\n", fmt("Hello formatting %d", 124));

    return 0;
}
