#include <stdio.h>
#define GEBS_NO_PREFIX
#define GEBS_IMPLEMENTATION
#include "../gebs.h"

int main(int argc, char ** argv)
{
    rebuild_self(argc, argv, "cc", "-o", "commands", __FILE__);

    int code = CMD("ls", "-la");
    LOGI("Exited with %d\n", code);

    Cmd cmd = {0};
    defer { list_free(&cmd); }
    cmd_append(&cmd, "ls");
    cmd_append(&cmd, "-la");
    
    
    String_Builder out_sb = {0};
    defer { sb_free(&out_sb); }
    code = cmd_run_collect(&cmd, &out_sb);
    printf("CAPTURED\n%sCAPTURED\n", out_sb.items);

    LOGI("Exited with %d\n", code);

    return 0;
}
